1 - 1.1
post /v1/replications
Description
파일스토리지 복제를 생성한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | ReplicationCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | ReplicationCreateResponse |
| 401 | Unauthorized | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/replications
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Request body
{
"name": "my_volume",
"cifs_password": "cifspwd0!!",
"replication_frequency": "5min",
"region": "kr-west1",
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"backup_retention_count": 2,
"replication_type": "replication"
}
Example HTTP response
Response 202
{
"replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_status": "creating",
"source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"source_volume_region": "kr-west1",
"protocol": "NFS",
"replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_volume_region": "kr-west1"
}
2 - 1.0
post /v1/replications
Description
파일스토리지 복제를 생성한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | ReplicationCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | ReplicationCreateResponse |
| 401 | Unauthorized | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/replications
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Request body
{
"name": "my_volume",
"cifs_password": "cifspwd0!!",
"replication_frequency": "5min",
"region": "kr-west1",
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"backup_retention_count": 2,
"replication_type": "replication"
}
Example HTTP response
Response 202
{
"replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_status": "creating",
"source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"source_volume_region": "kr-west1",
"protocol": "NFS",
"replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_volume_region": "kr-west1"
}